=== debian/changelog ===
lua-gd (2.0.33r2-1) unstable; urgency=low

  * Initial release Closes: #nnnn  (nnnn is the bug number of your ITP)

 -- Alexandre Erwin Ittner <aittner@netuno.com.br>  Wed,  3 May 2006 00:46:09 -0300
